Package org.drinkless.tdlib

# Class TdApi.GetChatInviteLinks

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.ChatInviteLinks>
org.drinkless.tdlib.TdApi.GetChatInviteLinks

Enclosing class:
  `TdApi`

public static class TdApi.GetChatInviteLinks extends TdApi.Function<TdApi.ChatInviteLinks>
Returns invite links for a chat created by specified administrator. Requires administrator privileges and canInviteUsers right in the chat to get own links and owner privileges to get other links.

Returns `ChatInviteLinks`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Chat identifier.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `creatorUserId`
  User identifier of a chat administrator.
  `boolean`
  `isRevoked`
  Pass true if revoked links needs to be returned instead of active or expired.
  `int`
  `limit`
  The maximum number of invite links to return; up to 100.
  `int`
  `offsetDate`
  Creation date of an invite link starting after which to return invite links; use 0 to get results from the beginning.
  `String`
  `offsetInviteLink`
  Invite link starting after which to return invite links; use empty string to get results from the beginning.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetChatInviteLinks()`
  Default constructor for a function, which returns invite links for a chat created by specified administrator.
  `GetChatInviteLinks(long chatId, long creatorUserId, boolean isRevoked, int offsetDate, String offsetInviteLink, int limit)`
  Creates a function, which returns invite links for a chat created by specified administrator.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Chat identifier.

  - ### creatorUserId

    public long creatorUserId
    User identifier of a chat administrator. Must be an identifier of the current user for non-owner.

  - ### isRevoked

    public boolean isRevoked
    Pass true if revoked links needs to be returned instead of active or expired.

  - ### offsetDate

    public int offsetDate
    Creation date of an invite link starting after which to return invite links; use 0 to get results from the beginning.

  - ### offsetInviteLink

    public String offsetInviteLink
    Invite link starting after which to return invite links; use empty string to get results from the beginning.

  - ### limit

    public int limit
    The maximum number of invite links to return; up to 100.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetChatInviteLinks

    public GetChatInviteLinks()
    Default constructor for a function, which returns invite links for a chat created by specified administrator. Requires administrator privileges and canInviteUsers right in the chat to get own links and owner privileges to get other links.

    Returns `ChatInviteLinks`

  - ### GetChatInviteLinks

    public GetChatInviteLinks(long chatId, long creatorUserId, boolean isRevoked, int offsetDate, String offsetInviteLink, int limit)
    Creates a function, which returns invite links for a chat created by specified administrator. Requires administrator privileges and canInviteUsers right in the chat to get own links and owner privileges to get other links.

    Returns `ChatInviteLinks`

    Parameters:
      `chatId` - Chat identifier.
      `creatorUserId` - User identifier of a chat administrator. Must be an identifier of the current user for non-owner.
      `isRevoked` - Pass true if revoked links needs to be returned instead of active or expired.
      `offsetDate` - Creation date of an invite link starting after which to return invite links; use 0 to get results from the beginning.
      `offsetInviteLink` - Invite link starting after which to return invite links; use empty string to get results from the beginning.
      `limit` - The maximum number of invite links to return; up to 100.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.ChatInviteLinks>`
    Returns:
      this.CONSTRUCTOR